print("A.3: This script generates the file 'ineq_codeg' containing the coefficients of the 905 expressions D.\n")

load("flags.sage")

F7 = load_graph_list("graph_lists/list7")
F6 = sublist(F7,7,6)
F6_tau = []
for G in F6:
	for inj in Permutations(range(6),2):
		L=list(inj)+list(filter(lambda x: not x in inj,range(6)))
		F6_tau.append(get_minimalGlabel(permuteG(G,L),6,2))
F6_tau = sort_and_uniqueL(F6_tau,6)

coef_E, coef_N = [], []
for G in F7:
	G_coef_E, G_coef_N = len(F6_tau)*[0], len(F6_tau)*[0]
	for inj in Permutations(range(7),2):
		unlab=list(filter(lambda x: not x in inj, range(7)))
		for w in unlab:
			leftV=copy(unlab); leftV.remove(w)
			left_id, right_id = findGinL(get_minimalGlabel(subgraphG(G,6,list(inj)+leftV), 6, 2),F6_tau,6), triple_count(subgraphG(G,3,list(inj)+[w])) # left is F6_tau-flag, right is tau-edge / tau-nonedge
			if (right_id==1): G_coef_E[left_id] += 1
			else: G_coef_N[left_id] += 1
		# for w
	# for inj
	coef_E.append(G_coef_E)
	coef_N.append(G_coef_N)
# for G

f=open("./ineq_codeg",'w')
F_index=0
for F in F6_tau:
	if (compareGH(F,get_minimalGlabel(permuteG(F,[1,0]+list(range(2,6))),6,2),6) <= 0): # only one inequality when the swap of the labels yield a different F6_tau-flag
		sep=""
		for G_index in range(len(F7)):
			frac = (3*coef_E[G_index][F_index] - coef_N[G_index][F_index]) / 210
			_=f.write("%s%s"%(sep,str(frac)))
			sep=" "
		#for G
		_=f.write('\n')
	# if
	F_index+=1
# for F
f.close()
